> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls

> List all calls.



## OpenAPI

````yaml get /api/v1/calls
openapi: 3.1.0
info:
  title: Voicebot Public API
  description: Public API for Voicebot Assistant Management
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/calls:
    get:
      tags:
        - calls
      summary: List Calls
      description: List all calls.
      operationId: list_calls_api_v1_calls_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CallResponse'
                type: array
                title: Response List Calls Api V1 Calls Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    CallResponse:
      properties:
        id:
          type: string
          title: Id
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        messages:
          anyOf:
            - items:
                $ref: '#/components/schemas/Message'
              type: array
            - type: 'null'
          title: Messages
        phoneCallProvider:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonecallprovider
        phoneCallTransport:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonecalltransport
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        endedReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Endedreason
        orgId:
          anyOf:
            - type: string
            - type: 'null'
          title: Orgid
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updatedat
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
        endedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endedat
        analysis:
          anyOf:
            - $ref: '#/components/schemas/Analysis'
            - type: 'null'
        phoneCallProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonecallproviderid
        assistantId:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistantid
        phoneNumberId:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumberid
        customer:
          anyOf:
            - type: object
            - type: 'null'
          title: Customer
        transcript:
          anyOf:
            - type: string
            - type: 'null'
          title: Transcript
        recordingUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Recordingurl
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        stereoRecordingUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Stereorecordingurl
        transport:
          anyOf:
            - type: object
            - type: 'null'
          title: Transport
          default: {}
        organizationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Organizationid
      type: object
      required:
        - id
      title: CallResponse
    Message:
      properties:
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        time:
          anyOf:
            - type: number
            - type: 'null'
          title: Time
        secondsFromStart:
          anyOf:
            - type: number
            - type: 'null'
          title: Secondsfromstart
        endTime:
          anyOf:
            - type: number
            - type: 'null'
          title: Endtime
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration
      type: object
      required:
        - secondsFromStart
      title: Message
    Analysis:
      properties:
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        successEvaluation:
          anyOf:
            - type: string
            - type: 'null'
          title: Successevaluation
      type: object
      title: Analysis
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````